﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<title>Ejercicio 37</title>
	<style>
		main{
			width:100%;
		}
		.negro{
			width:100%;
			height:130px;
			background-color:#202020;
			background-image:url("images/logo_demos.png");
			background-repeat:no-repeat;
			background-position:right;
		}
		.blanco{
			text-align:center;
			line-height:80px;
		}
		.lostres{
			display:flex;
			text-align:center;
		}
		.lostres img{
			max-width:100%;	
		}
		.izquierda{
			background-color:#CCCCFF;
			padding:8px;
			display:flex;
			flex:1;
			flex-direction:column;
		}
		.centro{
			background-color:#CCFF99;
			padding:8px;
			display:flex;
			flex:1;
			flex-direction:column;
		}
		.derecha{
			background-color:#33CCCC;
			padding:8px;
			display:flex;
			flex:1;
			flex-direction:column;
			/*webkit-flex-direction:column;*/
		}
		p, h4{
			text-align:left;
		}
		input{
			margin-top:auto;
			width:30%;
			align-self:center;
		}
		
		@media all and (max-width:500px) {
		.lostres{
			flex-direction:column;
			-webkit-flex-direction:column;}
		}

	</style>
</head>

<body>
<main>
	<div class="negro"></div>
	<div class="blanco"><h2>Demo de CSS Flexible Layout(Flexbox) o Caja flexible con CSS</h2></div>
	<div class="lostres">
		<div class="izquierda">
			<img src="images/malta.jpg" alt="malta"/>
			<h4>Malta, la isla mediterránea por conocer</h4>
			<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris euismod, massa eu vestibulum egestas, turpis felis consectetur sem, vel tempus lectus 
				magna et dolor. Proin a hendrerit lacus. </p>
			<br/>
			<input type="button" value="MAS INFO"/> 
		</div>
		<div class="centro">
			<img src="images/polonia.jpg" alt="polonia"/>
			<h4>Polonia, un país por descubrir</h4>
			<p>Nam porta varius libero, et efficitur ipsum efficitur at. Mauris in nunc dapibus turpis congue faucibus et at massa. Interdum et malesuada fames 
				ac ante ipsum primis in faucibus. Nunc molestie diam elit, id faucibus augue accumsan quis. Duis eget mollis nisl.</p>
			<br/>
			<input type="button" value="MAS INFO"/>	
		</div>
		<div class="derecha">
			<img src="images/oporto.jpg" alt="oporto"/>
			<h4>Un paseo por el viejo Oporto</h4>
			<p>Quisque non orci massa. Fusce accumsan mi enim, finibus sagittis nisi imperdiet vitae. Nullam vitae elit nec nunc interdum varius nec ut purus. Duis 
				tempus, arcu nec convallis rutrum, sem libero semper mi, sit amet vehicula libero diam nec orci. </p>
			<br/>
			<input type="button" value="MAS INFO"/>
		</div>
	</div>
</main>
</body>

</html>
